/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile$
 * $Revision$
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef SVTOOLS_URLCONTROL_HXX
#define SVTOOLS_URLCONTROL_HXX

#include "svtools/svtdllapi.h"
#include <svtools/inettbc.hxx>

//.........................................................................
namespace svt
{
//.........................................................................

	//=====================================================================
	//= OFileURLControl
	//=====================================================================
	class SVT_DLLPUBLIC OFileURLControl : public SvtURLBox
	{
	protected:
		String		m_sPreservedText;

	public:
		OFileURLControl(Window* _pParent);
		OFileURLControl(Window* _pParent, const ResId& _rId);

	protected:
		virtual long		PreNotify( NotifyEvent& rNEvt );
		virtual long		Notify( NotifyEvent& rNEvt );
	};

//.........................................................................
}	// namespace svt
//.........................................................................

#endif // SVTOOLS_URLCONTROL_HXX

